# Generated by Django 4.0.3 on 2022-05-10 04:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('service_rest', '0002_serviceappointment'),
    ]

    operations = [
        migrations.CreateModel(
            name='Technician',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('employee_number', models.PositiveSmallIntegerField()),
            ],
        ),
        migrations.AlterField(
            model_name='serviceappointment',
            name='reason',
            field=models.CharField(max_length=200),
        ),
        migrations.AlterField(
            model_name='serviceappointment',
            name='technician_name',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='technician', to='service_rest.technician'),
        ),
    ]
